Android 14 ma blokować instalację niektórych przestarzałych aplikacji

Aby zmniejszyć ryzyko złośliwego oprogramowania, Android 14 całkowicie zablokuje instalację aplikacji, które atakują przestarzałe wersje Androida.

Od lat wytyczne Google Play Store zapewniają, że programiści Androida aktualizują swoje aplikacje, aby korzystać z najnowszych funkcji i środków bezpieczeństwa platformy Android. Tylko w tym miesiącu instrukcje zaktualizowany, aby wymagać, aby nowo wymienione aplikacje ze Sklepu Play były kierowane co najmniej na Androida 12.

Do tej pory te minimalne wymagania dotyczące poziomu interfejsu API dotyczyły tylko aplikacji przeznaczonych do sklepu Google Play. Jeśli programista chce zbudować aplikację dla starszej wersji, może to zrobić i po prostu poprosić użytkowników o ręczne załadowanie pliku APK. Podobnie, jeśli aplikacja na Androida nie została zaktualizowana po zmianie instrukcji, Sklep Play będzie nadal obsługiwał aplikację dla tych, którzy już go raz zainstalowali.

Zgodnie z nowo opublikowanym modyfikacja kodu, Android 14 ma zaostrzyć wymagania API, całkowicie blokując instalację przestarzałych aplikacji. Ta zmiana uniemożliwiłaby użytkownikom pobieranie określonych plików APK, a także uniemożliwiłaby sklepom z aplikacjami instalowanie tych samych aplikacji.

Początkowo urządzenia z Androidem 14 będą blokować tylko aplikacje skierowane na szczególnie stare wersje Androida. Z biegiem czasu plan zakłada jednak podniesienie progu do Androida 6.0 (Marshmallow), przy czym Google stopniowo rozkręca ten mechanizm. [it] up.” To powiedziawszy, prawdopodobnie każdy producent urządzenia zdecyduje, jaki jest próg dla przestarzałych aplikacji lub czy w ogóle na to zezwolić.

Jeśli włączone jest wymuszanie minimalnej wersji pakietu SDK do zainstalowania, zablokuj instalację aplikacji korzystających z niższej niż wymagana docelowej wersji pakietu SDK. Pomaga to poprawić bezpieczeństwo i prywatność, ponieważ złośliwe oprogramowanie może atakować starsze wersje SDK, aby uniknąć wymuszania nowego zachowania interfejsu API.

Blokując te przestarzałe aplikacje, Google zamierza spowolnić rozprzestrzenianie się złośliwych aplikacji na Androida. Deweloper odpowiedzialny za zmianę zauważa, że ​​niektóre złośliwe aplikacje celowo celowały w starsze wersje Androida, aby ominąć pewne zabezpieczenia, które są zaimplementowane tylko w nowszych aplikacjach.

Oznacza to, że jeśli z jakiegoś powodu chcesz lub musisz zainstalować przestarzałą aplikację, nadal możesz to zrobić za pomocą powłoki poleceń, używając nowa flaga. Biorąc pod uwagę wymagane dodatkowe kroki, jest mniej prawdopodobne, że ktoś przypadkowo to zrobi i przypadkowo zainstaluje złośliwe oprogramowanie.

Dowiedz się więcej o Androidzie 14:

FTC: Używamy automatycznych linków partnerskich, które generują dochód. Jeszcze.


Aby uzyskać więcej wiadomości, sprawdź 9to5Google na YouTube:

Leave a Comment